services:
      core:
        # imagen a utilizar
        image: ros_core:latest
        # nombre del contenedor
        container_name: ros_core
        # arrancara aunque reiniciemos el sistema
        restart: always
        # comando a ejecutar
        command: ros2 run demo_node demo
        volumes:
        # path maquina local : path contenedor
          - ../src:/ros2_ws/
        networks:
          vlan:
            # direccion IP fuera del rango DHCP
            ipv4_address: 192.168.1.205
      networks:
      vlan:
        driver: macvlan
        driver_opts:
          # puerto internet
          parent: eth0
        ipam:
          config:
            - subnet: 192.168.1.0/24
              gateway: 192.168.1.1